Questions tagged [php5]

The tag has no usage guidance.

Filter by
Sorted by
Tagged with
0 votes
1 answer
396 views

Need to enable gd for an older version of PHP

The PHP version is 5.6, so quite old. Using apt-get install php5-gd won't work any more. I can locate these gd.so: /usr/lib/php/20151012/gd.so /usr/lib/x86_64-linux-gnu/libgd.so.3 -- links to 3.0.0 ...
Yimin Rong's user avatar
0 votes
1 answer
829 views

Is there a distro specific to the LAMP stack?

I tried real hard to get LAMP stack working on my pop_os home pc, but could not get it working. Is there a distro in existence with the LAMP stack preinstalled which I can just add WordPress on top of....
Neil Meyer's user avatar
0 votes
1 answer
1k views

can't write file on php

I am trying to create a file in the /tmp directory and unable to. It won't even let me create a file in the same dir I am in (/var/www/html). I believe I dont have the correct setting on my php.ini, ...
user2236794's user avatar
0 votes
0 answers
250 views

Debian Stretch + Apache 2.4 + PHP 5.6 + PHP 7.0 and virtual hosts

I have a little Debian 9 server with Apache 2.4 installed. I need it to serve my home with a Nextcloud service, which requires PHP7.0. Then I also need to get it to serve a rather old service (http://...
MiniTux's user avatar
  • 71
2 votes
1 answer
451 views

php-fpm56 reaches timeout when run with systemd centos7

I compiled my own PHP 5.6.40 (with fpm) with ICU4C 64_2 on CentOS 7 using the following flags: ./configure CXXFLAGS="-std=c++11 -DU_USING_ICU_NAMESPACE=1" \ --prefix=/usr/local/php56 \ ...
ikak's user avatar
  • 31
0 votes
1 answer
559 views

I've been seeing a lot of this in my Apache access log

14.210.192.182 - - [01/May/2019:04:43:14 -0500] "GET /user.php?act=login HTTP/1.1" 302 233 "554fcae493e564ee0dc75bdf2ebf94caads|a:2:{s:3:\"num\";s:288:\"*/ union select 1,0x272f2a,3,4,5,6,7,8,...
bSulz's user avatar
  • 11
1 vote
1 answer
233 views

How to get php-cgi with phpbrew (PHP5.3.x)

I installed php-5.6.40 php-7.1.14 with phpbrew and I've got php-cgi binaries on these both version. I used this command for get php-cgi 5.6.40 phpbrew install 5.6.40 +default+fpm+mysql+sqlite+mb+...
dubis's user avatar
  • 1,450
0 votes
1 answer
255 views

How to connect PHP 5.6 to SQL db after compilation

I installed PHP 5.6 from source on Debian server 9 server. The OpenSSL version in Debian 9 is too new for PHP 5.6, so I had to compile an older version in /opt/openssl to use it with PHP 5.6. ( ...
dubis's user avatar
  • 1,450
0 votes
2 answers
5k views

Checking for freetype2 configure error when installing PHP 5.6.37 from AUR

I'm trying to install PHP version 5.6.37 from AUR using makepkg -i command, but when it reaches the moment to check for the "freetype2" it displays the error: checking for freetype2... configure: ...
user avatar
0 votes
1 answer
5k views

How to kill stuck php-fpm processes

I have a production server, where I am not able to kill php-fpm processes. I am not able to kill any of the following process with kill -9. service php-fpm start,keeps on running, but doesnt give ...
kadamb's user avatar
  • 101
1 vote
1 answer
3k views

Not able to install php5-mysql or php5-mysqlnd

I'm using Debian Jessie inside a docker container docker run --entrypoint /bin/bash -i -t php:5-apache. Unfortunately, I am not able to install php5-mysql or php5-mysqlnd . I did the following steps: ...
user3523406's user avatar
0 votes
1 answer
1k views

Can't compile PHP 5.6 in Debian 8

I want to install PHP 5.6 in Debian Jessie and I'm following the procedures listed in this page (the server is using ISPConfig and I want to add this PHP version to the list of PHP versions available)....
Mike Alvim's user avatar
0 votes
2 answers
1k views

Running a php file from init

I am trying to run a php script from init.d in centos 6.9, when I exit the terminal from which I started the service the application stops, and always the status of the application shows as stopped, ...
Som's user avatar
  • 13
1 vote
3 answers
2k views

Yum install php v5.4 packages while I have installed php 7

I have installed PHP version 7 on my centOs. Now I got an error says: undefined function mb_internal_encoding() So I decided to install php-mbstring (using yum install php-mbstring) but I face the ...
Leo's user avatar
  • 111
2 votes
2 answers
9k views

How to Install the PHP SSH2 Extension on Ubuntu 14.04 running PHP 5.6?

I run sudo apt-get install libssh2-1-dev libssh2-php I get: Reading package lists... Done Building dependency tree Reading state information... Done libssh2-php is already the newest version. libssh2-...
Rayhan Muktader's user avatar
1 vote
1 answer
3k views

Allow user to run PHP-FPM without password using sudoers

I'm trying to make it so a user can reload PHP-FPM without needing a password everytime. I've added the following to the /etc/sudoers file using pkexec visudo, and there are no syntax errors, but it ...
Seán McCabe's user avatar
9 votes
2 answers
31k views

Installing PHP 5.3 on Debian Stretch (9)

I'm migrating a very old server (Debian etch) to Debian Stretch and every single app developed has PHP issues, it was expected. Some can be fixed, some can not (as several drupal 6 sites). In the ...
raguchi's user avatar
  • 159
3 votes
1 answer
7k views

Zabbix install PHP 7 PHP 5.6 conflict on Centos7

I am attempting to install Zabbix 3.2 on Centos7 running PHP7. Link to the walkthrough The command: yum -y install zabbix-get zabbix-server-mysql zabbix-web-mysql zabbix-agent The output: Loaded ...
Kayne Khoury's user avatar
0 votes
2 answers
655 views

Apache won't start

I'm using CentOS 7 and I migrated website from php4 to php5 and I have in configuration file of Apache this between virtualhost: Options Indexes FollowSymLinks MultiViews AllowOverride all Order ...
Martin Smola's user avatar
1 vote
2 answers
960 views

One PhpMyAdmin per virtualhost

I am relative new and learning about linux servers. I just played with them years ago. I have configured Apache2, Php5, MySQL, PhpMyAdmin, etc. on a Raspberry using Raspbian (Debian dist). I just ...
Jordi Huertas's user avatar
2 votes
1 answer
635 views

apt-get remove php5 without installing apache2

How can I uninstall/purge php5 without reinstalling apache2? I have removed apache2 and now I want to remove php5, but the system wants me to reinstall apache2 to uninstall php5. Why? # aptitude why ...
clarkk's user avatar
  • 1,797
0 votes
2 answers
4k views

How to install multiple versions of php on redhat

We have a legacy web application running php 5.4.10 and another application running the latest version of php ver 7.1 We would like to host both of these applications using apache on one instance of ...
hervens's user avatar
6 votes
2 answers
2k views

Strange telnet client behavior when not specifying a port

On Debian Jessie, using php5.6 and telnet version: $ dpkg -l | grep telnet ii telnet 0.17-36 amd64 The telnet client I have written a php script ...
mulllhausen's user avatar
  • 2,668
1 vote
1 answer
5k views

Issues with apt-get update command

When I try to run the command sudo apt-get update I get the following: Ign http://security.debian.org jessie/updates InRelease Ign http://security.debian.org jessie/updates Release.gpg ...
Ahmad Khudeish's user avatar
0 votes
1 answer
95 views

Passwords in a LAMP installation on Debian

In a locally installed a LAMP stack, where are the passwords stored? If there is more than one, I only have the MySQL password from the previous installation, but the new one uses the same. Don't PHP5 ...
Quora Feans's user avatar
  • 3,856
2 votes
2 answers
11k views

How to Upgrade PHP from 5.4.16 to >= PHP 5.6.5 / PHP 7 on Centos 7?

I am using centos 7 and it came with php 5.4.16. Now i have to install moodle moodle 3.2 which requires at least PHP 5.6.5. I tried installing php from remi and IUS repositories but no luck. All i ...
Vamshi's user avatar
  • 131
33 votes
4 answers
25k views

Unix system(“unzip archive.zip”) Extracting Zip Files Silently

How do I silently extract files, without displaying status?
Adedoyin Akande's user avatar
0 votes
1 answer
273 views

high load average on KVM VM web servers

I have a server with KVM libvirt and OVS. Debian 8.6. I am currently running 2 web servers with installed nginx+php5-fpm on VM . HAProxy is used to balance requests and installed on KVM virtual ...
Gani Rakhmatov's user avatar
1 vote
0 answers
901 views

How to install php-solr extension on Centos 6.6

I'm trying to install and configure the Moodle Global Search through Apache Solr. To install Moodle 3.1, I have to add an additional repository (REMI) to replace php (3 I think) packages by php 5.6 ...
Carlos Spohr's user avatar
1 vote
2 answers
1k views

Upgrading curl but 'openSUSE-12.3-Update-Non-Oss' appears to be outdated

My webserver is running a Magento 1.8.1.0 that uses php-curl under the hood. It runs openSUSE 12.3 and: PHP 5.3.17 Apache 2.2.29 mysql Ver 14.14 Distrib 5.5.33 OpenSSL 1.0.1j The curl version ...
Niko Zarzani's user avatar
1 vote
1 answer
3k views

Apache2 Failed to start after installing php5 alonside php7 on Ubuntu 16.04

I am running Apache2 with php7 on Ubuntu 16.04. But alongside this, I had installed php5. After installation of php5 I executed sudo a2enmod php5.6 Then I restarted apache2 with sudo service apache2 ...
Łukasz D. Tulikowski's user avatar
1 vote
1 answer
921 views

If I put a path after `.php`, the script is not found

On my Debian "testing" system after installing Moodle the request to http://localhost/moodle/theme/image.php/clean/core/1473903261/req returns Not Found The requested URL /moodle/theme/image.php/...
porton's user avatar
  • 2,186
0 votes
1 answer
987 views

Compiling PHP with apache mod_php on Linux

I need to compile PHP with apache module on Kubuntu. I have installed both apache2 and apache2-dev. But I am unable to locate apxs2 nor apxs. $ uname -a Linux hppavilion 4.4.0-21-generic #37-Ubuntu ...
Mugoma J. Okomba's user avatar
2 votes
2 answers
470 views

PHP5.5 or PHP5.6 Availability for CentOS 7

Is php5.5 or php5.6 Available for CentOS 7?
TwitchedOut's user avatar
1 vote
1 answer
1k views

How to make a text file readable for only a local PHP file on server -- not to everyone on web?

I have a PHP script that takes some sensitive data, hashes it, and then compares it against hashes in a text file on the server. Both the text file containing hashes and the PHP script are located in ...
learnerX's user avatar
  • 808
0 votes
3 answers
8k views

Apache shows Blank page for PHP

I've installed a fresh version of Centos 7, I'm new to Linux. I installed Apache using yum -y install httpd and I can open the test page and everything is ok with it. after that I installed PHP(5.4....
Ali SH's user avatar
  • 15
1 vote
1 answer
730 views

mongo.so working fine with php apache ini but not with php cli

I added the mongo.so extension to /etc/php5/apache2/php.ini and it is loading perfectly in php info. But it does not work with /etc/php5/cli/php.ini. When I try to run composer for adding mongodb ...
Dinesh Singh's user avatar
-1 votes
1 answer
923 views

Updating extensions after PHP upgrade on CentOS 5.6

I'm completely new to pecl, yum, rpm, packages and all the stuff required to get this done, so I'm hoping some of you smarter more experienced people can help me out. I only have a vague notion of ...
Krush's user avatar
  • 1
0 votes
0 answers
1k views

How to install laravel on xampp?

I'm using the latest version of manjaro 64 bit and latest version of xampp. I want to install composer and laravel; I tried many solutions on stackoverflow and askubuntu. Every time I see a different ...
Lynob's user avatar
  • 4,164
2 votes
0 answers
540 views

Fatal error: Call to undefined function gzopen() in /etc/apache2/htdocs/sites/all/modules/smart_ip/includes/smart_ip.utility.inc on line 454

I'm using centos 6.7, http 2.4.17, mysql 5.1, php 5.5.30. web page is working fine but at bottom it is giving below error. Fatal error: Call to undefined function gzopen() in /etc/apache2/htdocs/...
SunLynx's user avatar
  • 101
1 vote
1 answer
8k views

Restart Apache after PHP update?

One of our Amazon Linux servers has php56 installed, which is not the default PHP installation. Quite often I see updates for this package, while on other server PHP is not updated. Do I need to ...
SPRBRN's user avatar
  • 1,117
1 vote
1 answer
118 views

Verify how command was executed

I run few PHP webpages with NGINX and PHP-FPM. Recently I hosted site for friend who had security issues with WordPress, did all upgrades, WP and Plugins. But somehow I found out today that user ...
Grzegorz Doleczek's user avatar
3 votes
2 answers
11k views

Getting Minor Version Mismatch Error with Php and Mysql

I randomly started getting this error when trying to instantiate a new mysqli instance in php script: mysqli::mysqli(): Headers and client library minor version mismatch. Headers:50541 Library:...
MrWizdl's user avatar
  • 61
3 votes
1 answer
2k views

Replacement for php5-auth-pam to authenticate website login against local users

I am working on a login for a PHP-based website where users should be successfully logged in if they enter a valid username and password for a local account on the system. Looking around, it seems ...
tlng05's user avatar
  • 141
3 votes
1 answer
69 views

Possible mcrypt spelling error?

While attempting to start a project with Laravel, the following warning is produced multiple times: PHP Warning: PHP Startup: Unable to load dynamic library '/usr/lib/php5/20121212/mcryot.so' - /...
Adam Leis's user avatar
0 votes
1 answer
405 views

Centos 7 with facebook php-sdk4 - Network is unreachable

I am not sure why I am getting this error. Sometimes, it works and sometimes I get this error in the error log: Exception: Failed to connect to 1a02:1234:f000:4:face:b00c:0:1: Network is unreachable ...
Mahesh's user avatar
  • 101
2 votes
1 answer
3k views

I keep getting error: PHP Startup - libphp5.so missing? PHP seems to run fine with Apache

My linux distro is Arch Linux. I first noticed this error when trying to send emails using the PHP mail() function. Testing with a simple mail-test.php file with the mail() function sends the email ...
PancakeMaker's user avatar
0 votes
1 answer
1k views

php showing just plain text [closed]

I have installed php5 but when I tried for <html> <head> <title>PHP Test</title> </head> <body> <?php echo "Hello World"; ?> </body> &...
lazarus's user avatar
  • 195
5 votes
4 answers
6k views

Can't finish php5-cli update

I get the following error after doing sudo apt-get upgrade: Setting up php5-cli (5.5.9+dfsg-1ubuntu4.6) ... ucfr: Attempt from package php5-cli to take /etc/php5/cli/php.ini away from package php5-...
jherran's user avatar
  • 3,939
0 votes
2 answers
3k views

Is there any way to install MySQL 5.1 and PHP 5.3 on Centos 7

Is there any way to install MySQL 5.1 and PHP 5.3 on Centos 7. I researched a lot but could not find any link which gives step by step procedure. Can someone please give me steps to be followed to ...
Nikhil Babu's user avatar